From f9bdaf23009d685acde8d243da78c4eabdee75ed Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 14:54:29 +0000
Subject: [PATCH 45/51] fix some method/prerequisite names


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index a9028c0..e033b32 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -466,7 +466,7 @@ class ModuleMDLinter(object):
     @detail("The 'buildrequires' dependencies block must be a dictionary"
             " (key/value).")
     @prerequisite('dependencies_dict')
-    def lint_dependencies_buildrequires(self):
+    def lint_dependencies_buildrequires_dict(self):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
@@ -476,7 +476,7 @@ class ModuleMDLinter(object):
     @guidelines_link('#Module_dependencies')
     @detail("The 'buildrequires' dictionary must associate module name keys"
             " with stream name values.")
-    @prerequisite('buildrequires')
+    @prerequisite('dependencies_buildrequires_dict')
     def lint_dependencies_buildrequires_items(self):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
@@ -488,8 +488,8 @@ class ModuleMDLinter(object):
     @guidelines_link('#Module_dependencies')
     @detail("The 'requires' dependencies block must be a dictionary"
             " (key/value).")
-    @prerequisite('dependencies')
-    def lint_dependencies_requires(self):
+    @prerequisite('dependencies_dict')
+    def lint_dependencies_requires_dict(self):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
@@ -499,7 +499,7 @@ class ModuleMDLinter(object):
     @guidelines_link('#Module_dependencies')
     @detail("The 'requires' dictionary must associate module name keys with"
             " stream name values.")
-    @prerequisite('requires')
+    @prerequisite('dependencies_requires_dict')
     def lint_dependencies_requires_items(self):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using

